/*====  RESET ============================ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  ul {
    list-style: none;
  }
  
  a {
    text-decoration: none;
  }
  
  img {
    width: 100%;
    height: auto;
  }

  @media only screen and (max-width: 600px) {
    body{
        display: block;
    }
}


  /*====  VARIABLES ============================ */

@media only screen and (max-width: 768px) {
 
}
  :root {

  
    /* colors */
    --hue: 159;
    /* HSL color mode */
    --base-color: hsl(var(--hue) 36% 57%);
    /* --base-color-second: hsl(var(--hue) 65% 88%);#3c4246 */
    --base-color-second: #3c4246;
    --base-color-alt: hsl(var(--hue) 57% 53%);
    --title-color: hsl(var(--hue) 41% 10%);
    --text-color: hsl(0 0% 46%);
    --text-color-light: hsl(0 0% 98%);
    --body-color: hsl(0 0% 98%);
  
    /* fonts */
    --title-font-size: 1.875rem;
    --subtitle-font-size: 1.15rem;
  
    --title-font: 'Poppins', sans-serif;
    --body-font: 'DM Sans', sans-serif;
  }
  
  /*===  BASE ============================ */
  html {
    scroll-behavior: smooth;
  }
  
  body {
    font: 400 1.15rem var(--body-font);
    color: var(--text-color);
    background: var(--body-color);
    -webkit-font-smoothing: antialiased;

  }
  
  .title {
    font: 700 var(--title-font-size) var(--title-font);
    /* color: var(--title-color); */
    color: #3c4246;
    -webkit-font-smoothing: auto;
  }

  .title__light {
    font: 700 var(--title-font-size) var(--title-font);
    /* color: var(--title-color); */
    color: #ffffff;
    -webkit-font-smoothing: auto;
  }

  p {
    line-height: 24px;
    margin-bottom: .75rem;
  }
  
  .button {
    /* background-color: var(--base-color); */
    /* color: var(--text-color-light); */
    /* color: #3c4246; */
    color: #ffffff;
    height: 3.5rem;
    display: inline-flex;
    align-items: center;
    padding: 0 2rem;
    border-radius: 0.25rem;
    border: 1px solid #ffffff;
    font: 500 1rem var(--body-font);
    transition: background 0.3s;
  }
  
  .button:hover {
    /* background: var(--base-color-alt); */
    background: #FFFFFF;
    color: #3c4246;
  }

  .button-contact {
    /* background-color: var(--base-color); */
    /* color: var(--text-color-light); */
    /* color: #3c4246; */
    color: #ffffff;
    height: 3.5rem;
    display: inline-flex;
    align-items: center;
    gap: 5px;
    padding: 0 2rem;
    border-radius: 0.25rem;
    background: #3c4246;
    /* border: 1px solid #ffffff; */
    font: 500 1rem var(--body-font);
    transition: background 0.3s;
  }
  
  .button-contact:hover {
    /* background: var(--base-color-alt); */
    background: transparent;
    color: #3c4246;
    border: 1px solid #3c4246;
  }
  
  /* .divider-1 {
    height: 1px;
    background: linear-gradient(
      270deg,
      hsla(var(--hue), 36%, 57%, 1),
      hsla(var(--hue), 65%, 88%, 0.34)
    );
  } */

  .divider-1 {
    height: 1px;
    /* background: linear-gradient(
      270deg,
      hsla(var(--hue), 36%, 57%, 1),
      hsla(var(--hue), 65%, 88%, 0.34)
    ); */
    background: linear-gradient(270deg, #222, hsla(var(--hue), 65%, 88%, 0.34));
  }
  
  .divider-2 {
    height: 1px;
    /* background: linear-gradient(
      270deg,
      hsla(var(--hue), 65%, 88%, 0.34),
      hsla(var(--hue), 36%, 57%, 1)
    ); */
    background: linear-gradient(270deg, hsla(var(--hue), 65%, 88%, 0.34), #222);
  }

  .line {
    height: 2px;
    width: 100px;
    background: #ff8737;
    /* padding: 10px 0; */
    position: relative;
    bottom: 20px;
  }

  .line-home {
    height: 1px;
    width: 100px;
    background: #ff8737;
    /* padding: 10px 0; */
    position: relative;
    bottom: 0px;
    display: block;
  }

  .line-advantages {
    height: 1px;
    width: 100px;
    background: #ff8737;
    /* padding: 10px 0; */
    position: relative;
    bottom: 0px;
    display: block;
  }

  .line-about {
    height: 1px;
    width: 100px;
    background: #ff8737;
    /* padding: 10px 0; */
    position: relative;
    margin-bottom: 2rem;
    bottom: 0px;
    display: block;
  }
  
  /*====  LAYOUT ============================ */
  .container {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
  }
  
  .grid {
    display: grid;
    gap: 2rem;
  }
  
  .section {
    padding: calc(5rem + var(--header-height)) 0;
  }
  
  .section .title {
    margin-bottom: 1rem;
  }
  
  .section .subtitle {
    font-size: var(--subtitle-font-size);
  }
  
  .section header {
    margin-bottom: 4rem;
  }
  
  .section header strong {
    color: var(--base-color);
  }
  
  #header {
    border-bottom: 1px solid #e4e4e4;
    margin-bottom: 2rem;
    display: flex;
  
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    background-color: var(--body-color);
    width: 100%;
  }
  
  #header.scroll {
    box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.15);
  }

  .title__home {
    font-size: 2.5rem;
    text-transform: uppercase;
    /* color: #3c4246; */
    color: #FFFFFF;
    margin-bottom: 1rem;
  }

  .title .light {
    color: #FFFFFF;
  }
  
  /*====  LOGO ============================ */
  /* .logo {
    font: 700 1.31rem var(--title-font);
    color: var(--title-color);
  }
  
  .logo span {
    color: var(--base-color);
  }
  
  .logo-alt span {
    color: var(--body-color);
  } */
  .logo {
    width: 4.2rem;
  }
  
  /*====  NAVIGATION ============================ */
  nav {
    height: var(--header-height);
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
  }
  
  nav ul li {
    text-align: center;
  }
  
  nav ul li a {
    transition: color 0.2s;
    position: relative;
  }
  
  nav ul li a:hover,
  nav ul li a.active {
    /* color: var(--base-color); */
    color: #3c4246; 
  }
  
  nav ul li a::after{
    content: '';
    width: 0%;
    height: 2px;
    /* background: var(--base-color); */
    background: #3c4246;
  
    position: absolute;
    left: 0;
    bottom: -1.5rem;
  
    transition: width 0.2s;
  }
  
  nav ul li a:hover::after,
  nav ul li a.active::after {
    width: 100%;
  }
  
  nav .menu {
    opacity: 0;
    visibility: hidden;
    top: -20rem;
    transition: 0.2s;
  }
  
  nav .menu ul {
    display: none;
  }
  
  /* Mostrar menu */
  nav.show .menu {
    opacity: 1;
    visibility: visible;
  
    background: var(--body-color);
  
    height: 100vh;
    width: 100vw;
  
    position: fixed;
    top: 0;
    left: 0;
  
    display: grid;
    place-content: center;
  }
  
  nav.show .menu ul {
    display: grid;
  }
  
  nav.show ul.grid {
    gap: 4rem;
  }
  
  /* toggle menu */
  .toggle {
    /* color: var(--base-color); */
    color: #3c4246;
    font-size: 1.5rem;
    cursor: pointer;
  }
  
  nav .icon-close {
    visibility: hidden;
    opacity: 0;
  
    position: absolute;
    top: -1.5rem;
    right: 1.5rem;
  
    transition: 0.2s;
  }
  
  nav.show div.icon-close {
    visibility: visible;
    opacity: 1;
    top: 1.5rem;
  }
  
  /*====  HOME ============================ */
  #home {
    overflow: hidden;
    background: #3c4246;
  }
  
  #home .container {
    margin: 0;
  }
  
  #home .image {
    position: relative;
  }
  
  #home .image::before {
    content: '';
    height: 100%;
    width: 100%;
    /* background: var(--base-color-second); */
    background: linear-gradient(270deg, hsla(var(--hue), 65%, 88%, 0.34), #3c4246);

    position: absolute;
    top: -16.8%;
    left: 16.7%;
    z-index: 0;
  }
  
  #home .image img {
    position: relative;
    /* right: 2.93rem; */
  }
  
  #home .image img,
  #home .image::before {
    border-radius: 0.25rem;
  }
  
  #home .text {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
    text-align: center;
  }
  
  #home .text h1 {
    margin-bottom: 1rem;
  }
  
  #home .text p {
    margin: 2rem 0;
    font-weight: 100;
    color: #fff;
  }
  
  /*====  ABOUT ============================ */
  #about {
    background: #f5f5f5;
  }
  
  #about .container {
    margin: 0;
  }
  
  #about .image {
    position: relative;
  }
  
  #about .image::before {
    content: '';
    height: 100%;
    width: 100%;
    background: var(--base-color-second);
    position: absolute;
    top: -8.3%;
    left: -33%;
    z-index: 0;
  }
  
  #about .image img {
    position: relative;
  }
  
  #about .image img,
  #about .image::before {
    border-radius: 0.25rem;
  }
  
  #about .text {
    margin-left: 1.5rem;
    margin-right: 1.5rem;
  }
  
  /*====  SERVICES ============================ */
  #services {
    background: #EFEFEF;
  }
  .cards.grid {
    gap: 1.5rem;
  }
  
  .card {
    padding: 3.625rem 2rem;
    box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.08);
    border-bottom: 0.25rem solid #3c4246;
    background: #FFFFFF;
    /* border-bottom: 0.25rem solid var(--base-color); */
    border-radius: 0.25rem 0.25rem 0 0;
    text-align: center;
  }
  
  .card i {
    display: block;
    margin-bottom: 1.5rem;
    font-size: 5rem;
    color: var(--base-color);
  }
  
  .card .title {
    font-size: 1.5rem;
    margin-bottom: 0.75rem;
  }

  /* ====== GALLERY ======== */

  .pictures {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }

  .card-effect{
    /* margin-top: 200px!important; */
    /* width:400px; */
    /* margin: auto; */
    /* height: 400px; */
    position: relative;
    transition: transform 4s ease-in;
    overflow: hidden;
    border:4px solid #fff;

  }

  .card-effect img{
    width:100%;
    height: 340px;
    transition: transform 1s ease-in;
  }
  .card-effect img:hover{
    transform: scale(1.2);
  }

  .card-effect:before {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left:0;
    /* content: ""; */
    transform:translateY(-100%);
    font-size: 25px;
    color:#fff;
    display: block;
    background-color: rgba(188, 143, 143, 0.137);
    z-index: 1;
    display:flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
    transition: transform .4s ease-in;
    border:4px solid white;
    justify-content: center;
    box-sizing: border-box;
  }

  .card-effect.port1:before{
    content: "testee";
  }

  .card-effect.port2:before{
    content: "testee";
  }

  .card-effect.port3:before{
    content: "testee";
  }

  .card-effect.port4:before{
    content: "testee";
  }

  .card-effect.port5:before{
    content: "testee";
  }

  .card-effect.port6:before{
    content: "testee";
  }

  .card-effect.port7:before{
    content: "testee";
  }

  .card-effect.port8:before{
    content: "testee";
  }

  .card-effect:after {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left:0;
    content: "";
    transform:translateY(100%);
    font-size: 25px;
    color:#fff;
    display: block;
    background-color: rgba(188, 143, 143, 0.137);
    z-index: 1;
    display:flex;
    justify-content: center;
    align-items: center;
    font-family: sans-serif;
    transition: transform .4s ease-in;
    border:4px solid white;
    justify-content: center;
    box-sizing: border-box;
  }
  .card-effect:hover::before{
    transform: translateY(0%); 

  }
  .card-effect:hover::after{
    transform: translateY(0%); 
  
  }
    
  
  /*====  TESTIMONIALS ============================ */
  
  #testimonials {
    background-color: #fff;
  }
  
  #testimonials .container {
    margin-left: 0;
    margin-right: 0;
  }
  
  #testimonials header {
    margin-bottom: 0;
    margin-left: 1.5em;
    margin-right: 1.5rem;
  }
  
  #testimonials blockquote {
    padding: 2rem;
    box-shadow: 0px 0px 12px rgba(0, 0, 0, 0.08);
    border-radius: 0.25rem;
  }
  
  #testimonials blockquote p {
    position: relative;
    text-indent: 1.875rem;
    margin-bottom: 1.5rem;
    color: var(--title-color);
  }
  
  #testimonials blockquote p span {
    font: 700 2.5rem serif;
  
    position: absolute;
    top: -0.375rem;
    left: -1.875rem;
  
    color: var(--base-color);
  }
  
  #testimonials cite {
    display: flex;
    align-items: center;
    font-style: normal;
  }
  
  #testimonials cite img {
    width: 2rem;
    height: 2rem;
    object-fit: cover;
    clip-path: circle();
  
    margin-right: 0.5rem;
  }
  
  /* Swiper */
  .swiper-slide {
    height: auto;
    padding: 4rem 1rem;
  }
  
  .swiper-pagination-bullet-active {
    background-color: var(--base-color);
  }

  /* Gallery */
  .gallery {
    display: flex;
    flex-wrap: wrap;
  }
  
  /*====  CONTACT ============================ */
  #contact .grid {
    gap: 4rem;
  }
  
  #contact .text p {
    margin: 2rem 0;
  }
  
  #contact .button i,
  #contact ul li i {
    font-size: 1.5rem;
    margin-right: 0.625rem;
  }
  
  #contact ul.grid {
    gap: 2rem;
  }
  
  #contact ul li {
    display: flex;
    align-items: center;
  }
  
  #contact ul li i {
    /* color: var(--base-color); */
    color: #3c4246;
  }

  /* ====== ACCORDION ======== */

  #faq {
    background: #3c4246;
  }
  .accordion .accordion-item {
    border-bottom: 1px solid #818181;
  }
  .accordion .accordion-item button[aria-expanded=true] {
    border-bottom: 1px solid #818181;
  }
  .accordion button {
    position: relative;
    display: block;
    text-align: left;
    width: 100%;
    padding: 1em 0;
    color: #f5f5f5;
    font-size: 1.15rem;
    font-weight: 400;
    border: none;
    background: none;
    outline: none;
  }
  .accordion button:hover, .accordion button:focus {
    cursor: pointer;
    color: #f5f5f5;
    font-weight: 500;
  }
  .accordion button:hover::after, .accordion button:focus::after {
    cursor: pointer;
    color: #f5f5f5;
    border: 1px solid #3c4246;
  }
  .accordion button .accordion-title {
    padding: 1em 1.5em 1em 0;
    color: #ffffff;
  }
  .accordion button .icon {
    display: inline-block;
    position: absolute;
    top: 18px;
    right: 0;
    width: 22px;
    height: 22px;
    border: 1px solid;
    border-radius: 22px;
  }
  .accordion button .icon::before {
    display: block;
    position: absolute;
    content: "";
    top: 9px;
    left: 5px;
    width: 10px;
    height: 2px;
    background: currentColor;
  }
  .accordion button .icon::after {
    display: block;
    position: absolute;
    content: "";
    top: 5px;
    left: 9px;
    width: 2px;
    height: 10px;
    background: currentColor;
  }
  .accordion button[aria-expanded=true] {
    color: #f5f5f5;
  }
  .accordion button[aria-expanded=true] .icon::after {
    width: 0;
  }
  .accordion button[aria-expanded=true] + .accordion-content {
    opacity: 1;
    max-height: 9em;
    transition: all 400ms linear;
    will-change: opacity, max-height;
  }
  .accordion .accordion-content {
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: opacity 200ms linear, max-height 400ms linear;
    will-change: opacity, max-height;
  }
  .accordion .accordion-content p {
    font-size: 1rem;
    font-weight: 300;
    margin: 2em 0;
    color: #e4e4e4;
  }
  
  /*====  FOOTER ============================ */

  #footer {
    display: none;
  }

  footer {
    background-color: var(--base-color);
  }
  
  footer.section {
    padding: 4rem 0;
  }
  
  footer .logo {
    display: inline-block;
    margin-bottom: 1.5rem;
  }
  
  footer .brand p {
    color: var(--text-color-light);
    margin-bottom: 0.75rem;
  }
  
  footer i {
    font-size: 1.5rem;
    color: var(--text-color-light);
  }
  
  footer .social {
    grid-auto-flow: column;
    width: fit-content;
  }
  
  footer .social a {
    display: inline-block;
    transition: 0.3s;
  }
  
  footer .social a:hover {
    transform: translateY(-15px);
  }
  
  /* Back to top icon */
  .back-to-top {
    /* background-color: var(--base-color); */
    background-color: #3c4246;
    color: var(--text-color-light);
  
    position: fixed;
    right: 1rem;
    bottom: 1rem;
  
    padding: 0.5rem;
    clip-path: circle();
  
    font-size: 1.5rem;
    line-height: 0;
  
    visibility: hidden;
    opacity: 0;
  
    transition: 0.3s;
    transform: translateY(100%);
  
    z-index: 1;
  }
  
  .back-to-top.show {
    visibility: visible;
    opacity: 1;
    transform: translateY(0);
  }
  
  /* Responsividade */
  /* Extra Large Devices : 1200px > */
  @media (min-width: 1200px) {
    /* reusable classes */
    .container {
      max-width: 1120px;
      margin-left: auto;
      margin-right: auto;
    }
  
    .section {
      padding: 10rem 0;
    }
  
  .section header,
  #testimonials header{
    max-width: 32rem;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
  }
  
    .button {
      height: 3.125rem;
    }
    /* navigation */
    nav .menu {
      opacity: 1;
      visibility: visible;
      top: 0;
    }
  
    nav .menu ul {
      display: flex;
      gap: 2rem;
    }
  
    nav .menu ul li a.title {
      font: 400 1rem var(--body-font);
      -webkit-font-smoothing: antialiased;
    }
  
    nav .menu ul li a.title.active{
      font-weight: bold;
      -webkit-font-smoothing: auto;
    }
  
    nav .icon-menu {
      display: none;
    }
  
    /* layout */
    main {
      margin-top: var(--header-height);
    }
  
    /* home */
  
    #home .container {
      grid-auto-flow: column;
      justify-content: space-between;
      margin: 0 auto;
    }
    #home .image {
      order: 1;
    }
  
    #home .text {
      order: 0;
      max-width: 24rem;
      text-align: left;
    }
  
    /* about */
    #about .container {
      grid-auto-flow: column;
      margin: 0 auto;
    }
  
    /* services */
    .cards{
      grid-template-columns: 1fr 1fr 1fr;
    }
  
    .card{
      padding-left: 3rem;
      padding-right: 3rem;
    }
  
    /* testimonials */
    #testimonials .container{
      margin-right: auto;
      margin-left: auto;
    }
  
    /* contact */
    #contact .container{
      grid-auto-flow: column;
      align-items: center;
    }
  
    #contact .text{
      max-width: 25rem;
    }
  
    /* footer */
    footer.section{
      padding: 3.75rem 0;
    }
  
    footer .container{
      grid-auto-flow: column;
      align-items: center;
      justify-content: space-between;
    }
  
    footer .logo{
      font-size: 2.25rem;
    }
  }
  /* Large Devices : 1023px > */
  
  /* Medium Devices: 767px > */
  
  /* Large Devices : 992px > */
  @media (min-width: 992px) {
    :root {
      --title-font-size: 3.25rem;
      --subtitle-font-size: 1.125rem;
    }
  }


  /* ========== OLD GALLERY ============= */

  .container .box {
    position: relative;
    width: 280px;
    height: 400px;
    margin: 20px 0;
    box-sizing: border-box;
    overflow: hidden;
    box-shadow: #222 1px 1px 5px;
    background: #222;
  }
  .container .box .image-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #000;
    clip-path: circle(400px at center 100px);
    transition: 0.5s;
    transition-delay: 0.5s;
  }

  .container .box:hover .image-box {
    clip-path: circle(80px at center 100px);
    transition-delay: 0s;
  }

  .container .box .image-box img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .container .box .content {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 55%;
    padding: 20px;
    box-sizing: border-box;
    text-align: center;
    color: #fff;
  }

  .container .box .content h2 {
    margin: 0;
    padding: 0;
  }

  .container .box .content a {
    text-decoration: none;
    background: #222;
    color: #fff;
    padding: 5px;
    display: inline-block;
  }

  .container .box .content h2,
  .container .box .content p,
  .container .box .content a {
    opacity: 0;
    transition: 0.5s;
    transform: translateY(20px);
  }

  .container .box:hover .content h2 {
    opacity: 1;
    transform: translateY(0);
    transition-delay: 0.5s;
  }

  .container .box:hover .content p {
    opacity: 1;
    transform: translateY(0);
    transition-delay: 0.7s;
  }

  .container .box:hover .content a {
    opacity: 1;
    transform: translateY(0);
    transition-delay: 0.9s;
  }
  
  .container .content a:hover{
    color:cyan;
    font-weight:bold;
  }

  .gallery-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    background-color: #fff;
    box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.3);
    width: 80%;
    margin: 0 auto;
    padding: 10px;
}
.gallery-item {
    flex-basis: 32.7%;
    margin-bottom: 6px;
    opacity: .85;
    cursor: pointer;
}
.gallery-item:hover {
    opacity: 1;
}
.gallery-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.gallery-content {
    font-size: .8em;
}

.lightbox {
    position: fixed;
    display: none;
    background-color: rgba(0, 0, 0, 0.8);
    width: 100%;
    height: 100%;              
    overflow: auto;
    top: 0;
    left: 0;
}
.lightbox-content {
    position: relative;
    width: 70%;
    height: 70%;
    margin: 10% auto;
}
.lightbox-content img {
    border-radius: 7px;
    box-shadow: 0 0 3px 0 rgba(225, 225, 225, .25);
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.lightbox-prev,
.lightbox-next {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.8);
    color: #fff;
    padding: 7px;
    top: 45%;
    cursor: pointer;
}
.lightbox-prev {
    left: 0;
}
.lightbox-next {
    right: 0;
}
.lightbox-prev:hover,
.lightbox-next:hover {
    opacity: .8;
}

.float {
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 4rem;
  right: 1rem;
  background-color: #25d366;
  color: #FFF;
  border-radius: 50px;
  text-align: center;
  font-size: 30px;
  z-index: 100;
  align-items: center;
  justify-content: center;
  display: flex;
}

@media (max-width: 767px) {
    #gallery {
      margin-left: 1.5rem;
      margin-right: 1.5rem;
    }
    .gallery-container {
      width: 100%;
    }
    .gallery-item {
      flex-basis: 49.80%;
      margin-bottom: 3px;
    }
    .lightbox-content {
      width: 80%;
      height: 60%;
      margin: 15% auto;
    }
}
@media (max-width: 480px) {
    .gallery-item {
      flex-basis: 100%;
      margin-bottom: 1px;
    }
    .lightbox-content {
      width: 90%;
      margin: 20% auto;
    }
}
  